Re: [rt-users] RT 4.4.0 upgrade questions

2016-03-22 Thread Joop
On 22-3-2016 21:01, Dave Florek wrote:
> Hi,
>
> I'm using RT 4.2 and I'm looking to upgrade to 4.4.0. I'm opting for a
> complete wipe and reinstall because I added about 40 modules to RT 4.2
> that RT 4.4.0 integrated a few. If I do a backup of the PostGRESQL
> database I'm using, would that data be compatible or easily restored
> in RT 4.4.0? I don't know if the MySQL or PostGRESQL data changes
> formats in minor releases. Could someone clarify?
I just upgrade from 4.0.23 with a couple of extensions to 4.4 and
haven't had any major problems and the upgrade consisted of moving the
database to a dedicated db server and RT to a dedicated webserver. It
used to be an all in one VM.
Thats more or less the same situation you're in.

I installed a fresh postgres-9.3 server, imported my old database into
it, installed a new webserver, installed rt-4.4.0 and ran 'make
upgrade', ran the upgrade database steps, see documentation, and told it
I came from 4.0.23 and wanted to end at 4.4. Upgrade went OK except for
a few minor things.
- being one of the first to try I hit a documentation bug. Should be
solved now.
- had external auth (AD) so needed to fix the users table
- forgot the root password so had to reset it to something known, google
is your friend
- had the third party AssetTracker but wanted the BP one so had to
manually convert quite a bit of the database
Thats the problem spot: if you have extensions which interact with the
base product beyond just visually then, but you should always do that,
test , test and test.
In my case: linking from tickets/articles to the old assets causes
display artifacts if you don't have the extension installed.
Most extensions don't have these problems and if you know your
extensions well you can guess whether it will work or not.
Read the UPGRADING documentation. SLA is core now, Assets are,
ExternalAuth is. So don't reinstall those extensions anymore. Anything
else depends on the original authors whether it will work with 4.4.


Regards,

Joop


-
RT 4.4 and RTIR Training Sessions https://bestpractical.com/training
* Washington DC - May 23 & 24, 2016


[rt-users] RT 4.4.0 upgrade questions

2016-03-22 Thread Dave Florek
Hi,

I'm using RT 4.2 and I'm looking to upgrade to 4.4.0. I'm opting for a
complete wipe and reinstall because I added about 40 modules to RT 4.2 that
RT 4.4.0 integrated a few. If I do a backup of the PostGRESQL database I'm
using, would that data be compatible or easily restored in RT 4.4.0? I
don't know if the MySQL or PostGRESQL data changes formats in minor
releases. Could someone clarify?

Thanks,
-
RT 4.4 and RTIR Training Sessions https://bestpractical.com/training
* Washington DC - May 23 & 24, 2016